Problem searching for host params "inherited" from the hostgrup
Description

I've found this problem (at least) in 1.1RC5 and 1.1

How to reproduce it:

- Create a hostgroup A with a parameter foo=bar,

- Create a hostgrup B whose parent is A.

- Create a host foreman-rules and assign B as its hostgroup.

- Now search for all the host that match param.foo=bar (using the web interface for instance). You will get an empty list.

- Overwrite foo param in hostgroup B or in host foreman-rules, the search works perfeclty.

It seems that I can only search for params that are defined in the host or in the hostgroup that it's assigned but not deep in the

hostgroup hierarchy.

Related issues:

Related to Foreman - Bug #1804: Class filter in host page does not show inher... Closed 08/02/2012

Related to Foreman - Feature #2263: search Hostgroup by label Closed 02/28/2013

Is duplicate of Foreman - Bug #2871: Foreman scoped_search on hosts params on... Closed 08/02/2013

Associated revisions

Revision e5b861e3 - 03/30/2014 09:58 AM - Dominic Cleal

refs #2189 - update host group parameter search tests

History

#1 - 03/06/2013 10:33 AM - Clemens Bergmann

hi there,

I can confirm this.

I can also say that this is not only for parameters but for any search. My problem is the search for puppet classes.

If Hostgroup A has class C and is the parent of Hostgroup B.

And if Host H is member of Hostgroup B.

If you then search for "class = C" the result does not include Host H.

#2 - 04/11/2013 02:13 PM - Dominic Cleal

- Category set to Search

This is a very similar issue to what is described in #1804.

#3 - 03/28/2014 11:48 AM - Dominic Cleal

- Is duplicate of Bug #2871: Foreman scoped_search on hosts params only search for boolean parameters added

#4 - 03/28/2014 11:49 AM - Dominic Cleal

- Description updated

- Status changed from New to Duplicate
https://projects.theforeman.org/issues/1804


This has been fixed in Foreman 1.3.0 via #2871.
